Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
firefox-bin == Gtk-Warnings (wrong ELF class) [solved]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on AMD64
View previous topic :: View next topic  
Author Message
andi_s
Apprentice
Apprentice


Joined: 10 Feb 2005
Posts: 218
Location: Germany

PostPosted: Fri Jan 01, 2010 9:58 pm    Post subject: firefox-bin == Gtk-Warnings (wrong ELF class) [solved] Reply with quote

hello,

if i run firefox i get many gtk-warnings:

Code:

~ # firefox
(firefox-bin:2455): Gtk-WARNING **: /usr/lib64/gtk-2.0/2.10.0/engines/libpixmap.so: wrong ELF class: ELFCLASS64
(firefox-bin:2455): Gtk-WARNING **: /usr/lib64/gtk-2.0/2.10.0/engines/libpixmap.so: wrong ELF class: ELFCLASS64
(firefox-bin:2455): Gtk-WARNING **: /usr/lib64/gtk-2.0/2.10.0/engines/libpixmap.so: wrong ELF class: ELFCLASS64
(firefox-bin:2455): Gtk-WARNING **: /usr/lib64/gtk-2.0/2.10.0/engines/libubuntulooks.so: wrong ELF class: ELFCLASS64
(firefox-bin:2455): Gtk-WARNING **: /usr/lib64/gtk-2.0/2.10.0/engines/libpixmap.so: wrong ELF class: ELFCLASS64
(firefox-bin:2455): Gtk-WARNING **: /usr/lib64/gtk-2.0/2.10.0/engines/libpixmap.so: wrong ELF class: ELFCLASS64
(firefox-bin:2455): Gtk-WARNING **: /usr/lib64/gtk-2.0/2.10.0/engines/libpixmap.so: wrong ELF class: ELFCLASS64
(firefox-bin:2455): Gtk-WARNING **: /usr/lib64/gtk-2.0/2.10.0/engines/libpixmap.so: wrong ELF class: ELFCLASS64
(firefox-bin:2455): Gtk-WARNING **: /usr/lib64/gtk-2.0/2.10.0/engines/libpixmap.so: wrong ELF class: ELFCLASS64
(firefox-bin:2455): Gtk-WARNING **: /usr/lib64/gtk-2.0/2.10.0/engines/libpixmap.so: wrong ELF class: ELFCLASS64
(firefox-bin:2455): Gtk-WARNING **: /usr/lib64/gtk-2.0/2.10.0/engines/libpixmap.so: wrong ELF class: ELFCLASS64
(firefox-bin:2455): Gtk-WARNING **: /usr/lib64/gtk-2.0/2.10.0/engines/libpixmap.so: wrong ELF class: ELFCLASS64
(firefox-bin:2455): Gtk-WARNING **: /usr/lib64/gtk-2.0/2.10.0/engines/libpixmap.so: wrong ELF class: ELFCLASS64
(firefox-bin:2455): Gtk-WARNING **: /usr/lib64/gtk-2.0/2.10.0/engines/libpixmap.so: wrong ELF class: ELFCLASS64
(firefox-bin:2455): Gtk-WARNING **: /usr/lib64/gtk-2.0/2.10.0/engines/libpixmap.so: wrong ELF class: ELFCLASS64
(firefox-bin:2455): Gtk-WARNING **: /usr/lib64/gtk-2.0/2.10.0/engines/libpixmap.so: wrong ELF class: ELFCLASS64
(firefox-bin:2455): Gtk-WARNING **: /usr/lib64/gtk-2.0/2.10.0/engines/libpixmap.so: wrong ELF class: ELFCLASS64
(firefox-bin:2455): Gtk-WARNING **: /usr/lib64/gtk-2.0/2.10.0/engines/libpixmap.so: wrong ELF class: ELFCLASS64
(firefox-bin:2455): Gtk-WARNING **: /usr/lib64/gtk-2.0/2.10.0/engines/libpixmap.so: wrong ELF class: ELFCLASS64
(firefox-bin:2455): Gtk-WARNING **: /usr/lib64/gtk-2.0/2.10.0/engines/libpixmap.so: wrong ELF class: ELFCLASS64
(firefox-bin:2455): Gtk-WARNING **: /usr/lib64/gtk-2.0/2.10.0/engines/libpixmap.so: wrong ELF class: ELFCLASS64
(firefox-bin:2455): Gtk-WARNING **: /usr/lib64/gtk-2.0/2.10.0/engines/libpixmap.so: wrong ELF class: ELFCLASS64
(firefox-bin:2455): Gtk-WARNING **: /usr/lib64/gtk-2.0/2.10.0/engines/libpixmap.so: wrong ELF class: ELFCLASS64
(firefox-bin:2455): Gtk-WARNING **: /usr/lib64/gtk-2.0/2.10.0/engines/libpixmap.so: wrong ELF class: ELFCLASS64
(firefox-bin:2455): Gtk-WARNING **: /usr/lib64/gtk-2.0/2.10.0/engines/libpixmap.so: wrong ELF class: ELFCLASS64
(firefox-bin:2455): Gtk-WARNING **: /usr/lib64/gtk-2.0/2.10.0/engines/libpixmap.so: wrong ELF class: ELFCLASS64
(firefox-bin:2455): Gtk-WARNING **: /usr/lib64/gtk-2.0/2.10.0/engines/libpixmap.so: wrong ELF class: ELFCLASS64
(firefox-bin:2455): Gtk-WARNING **: /usr/lib64/gtk-2.0/2.10.0/engines/libcrux-engine.so: wrong ELF class: ELFCLASS64
/bin/sh: /usr/bin/esd: No such file or directory


emul-linux is installed:
Code:

[I--] [  ] app-emulation/emul-linux-x86-baselibs-20081109 (0)
[I--] [  ] app-emulation/emul-linux-x86-compat-20081109 (0)
[I--] [  ] app-emulation/emul-linux-x86-gtklibs-20081109 (0)
[I--] [  ] app-emulation/emul-linux-x86-java-1.6.0.17 (1.6)
[I--] [  ] app-emulation/emul-linux-x86-medialibs-20081109 (0)
[I--] [  ] app-emulation/emul-linux-x86-sdl-20081109 (0)
[I--] [  ] app-emulation/emul-linux-x86-soundlibs-20081109 (0)
[I--] [  ] app-emulation/emul-linux-x86-xlibs-20081109 (0)


firefox seems to work normal (no problems) but these warnings are anoying.

i know that firefox-bin is 32bit and that it tries to use the 64bit libs, but how can i fix this?
(revdep-rebuild found no errors)


Last edited by andi_s on Sat Jan 02, 2010 9:32 am; edited 1 time in total
Back to top
View user's profile Send private message
dirk_salewski
Apprentice
Apprentice


Joined: 04 Jun 2003
Posts: 210
Location: Germany

PostPosted: Sat Jan 02, 2010 6:21 am    Post subject: Reply with quote

Hello andi_s,

this might be the answer to your question. But just out of curiousity: is there a reason for not using 64bit ffox?
_________________
Who is John Galt?
Back to top
View user's profile Send private message
andi_s
Apprentice
Apprentice


Joined: 10 Feb 2005
Posts: 218
Location: Germany

PostPosted: Sat Jan 02, 2010 9:31 am    Post subject: Reply with quote

hi,

thanks this solved the problem!
actually it was a real problem, i never recognized before ... firefox did not used my gtk-theme (i noticed this, but never recognized the warnings, as i never started FF from terminal before...) - now it looks much better - thanks! ;)

however, these warnings are left:

Code:

(firefox-bin:24052): Gtk-WARNING **: Unable to locate theme engine in module_path: "ubuntulooks",
/bin/sh: /usr/bin/esd: No such file or directory


why does ff require the 'ubuntulooks'-theme? (hmpf...)

esd seems to be the "The Enlightened Sound Daemon", but is afaik sort of obsolete http://en.wikipedia.org/wiki/Enlightened_Sound_Daemon

do you have the same warnings with 64bit ff?

now to your question - why not ff64?
well, actually this is more a historical reason. i am trying since years to switch completly to gentoo64, but for the one or other reason i am still stuck with xp64 :( , even my linux system is now almost complete. i hope that i can switch this year finally. so, i know that there is no (official) xp64-ff version out and i still had in mind, that there were always many problems with 64bit-ff (java, flash) so i am still using the firefox-bin.
do you recommend to unmerge firefox-bin and emerge mozilla-firefox? are there still any issues or does everything run fine now? (including sun's java and adobe's flash plugins)

thanks
Back to top
View user's profile Send private message
dirk_salewski
Apprentice
Apprentice


Joined: 04 Jun 2003
Posts: 210
Location: Germany

PostPosted: Sat Jan 02, 2010 9:42 am    Post subject: Reply with quote

Well, yes, I think you should use ff64. I'm using it here with sun java and adobe flash (I sort of do not care for adobe flash being notoriously vulnerable to attacks) without any compatibility libs.

Reasons for ff32-bin would be a shared profile with your dual-boot-windows and the use of a plugin which is incompatible in 32bit vs. 64bit version. There is no such thing for firefox I would be aware of, but it would be theoretically possible (lightning for thunderbird is a bit tricky if you share profiles 32bit win <-> 64bit linux).
_________________
Who is John Galt?
Back to top
View user's profile Send private message
andi_s
Apprentice
Apprentice


Joined: 10 Feb 2005
Posts: 218
Location: Germany

PostPosted: Sat Jan 02, 2010 10:11 am    Post subject: Reply with quote

ok, thanks - then i will give ff64 a try!

btw: currently i do not care about profile-sharing (i tried this some years ago and it worked, but at the moment i am using only thunderbird-portable on XP) and the ff-plugins are most of the time turned off (check out the prefbar-plugin for FF). i turn them only on, if i need them - so it's quite safe to install them, even if they are vulnerable.
Back to top
View user's profile Send private message
dirk_salewski
Apprentice
Apprentice


Joined: 04 Jun 2003
Posts: 210
Location: Germany

PostPosted: Sat Jan 02, 2010 3:37 pm    Post subject: Reply with quote

Oh, thanks, I'll give it a try.
_________________
Who is John Galt?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on AMD64 All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum